/**
 *  Copyright © 2022-2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.client.base;

/**
 * Wird geworfen, wenn der FrameType kein Besprechungsraum oder Privatraum ist.
 * 
 * @author llange
 *
 */
public class RoomtypeException extends Exception {

  private static final long serialVersionUID = 8490454993767941364L;

  public RoomtypeException() {
    super();
  }



  public RoomtypeException(String message) {
    super(message);
  }



  public RoomtypeException(Throwable t) {
    super(t);
  }



  public RoomtypeException(String message, Throwable t) {
    super(message, t);
  }

}
